package cn.newfeifan.mall.module.distri.enums;

import cn.newfeifan.mall.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    // ========== 分销信息商户信息 1-002-029-000 ==========
    ErrorCode SHARE_PATH_NOT_EXISTS = new ErrorCode(1_002_030_000 , "分销路径不存在");
    ErrorCode SOCIAL_STATUS_NOT_EXISTS = new ErrorCode(1_002_030_001, "身价不存在");
    ErrorCode SOURCE_NOT_EXISTS = new ErrorCode(1_002_030_002, "分销来源不存在");
    ErrorCode INTEGRAL_NOT_EXISTS = new ErrorCode(1_002_030_002, "积分表不存在");
    ErrorCode ORDER_CALC_NOT_EXISTS = new ErrorCode(1_002_030_002, "计算不存在");
    ErrorCode ORDER_PERCENTAGE_NOT_EXISTS = new ErrorCode(1_002_030_002, "订单计算不存在");
    ErrorCode PARTITION_BROTHERS_NOT_EXISTS = new ErrorCode(1_002_030_002, "兄弟分区不存在");
    ErrorCode PARTITION_SON_NOT_EXISTS = new ErrorCode(1_002_030_002, "儿子分区不存在");
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1_002_030_003, "分销用户不存在");
    ErrorCode DUSER_NOT_EXISTS = new ErrorCode(1_002_030_003, "分销用户不存在");
    ErrorCode IS_EXISTS = new ErrorCode(1_002_030_003, "当前推销人已经存在上级");

}
